Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059556 - [abrt] gedit: g_realloc(): gedit killed by SIGSEGV
Summary: [abrt] gedit: g_realloc(): gedit killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1ebcf03d914653bfd2d036d12d6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 07:40 UTC by fedo.coro
Modified: 2015-06-29 14:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:53:00 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: cgroup (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: core_backtrace (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: dso_list (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: environ (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: exploitable (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: limits (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: maps (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: open_fds (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: proc_pid_status (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details
File: var_log_messages (deleted)
2014-01-30 07:40 UTC, fedo.coro
no flags Details

Description fedo.coro 2014-01-30 07:40:31 UTC
Description of problem:
This error occur when i open a txt file which is larger of 1,5MB

Version-Release number of selected component:
gedit-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        gedit /home/ulisse/Dropbox/Varie/G_C_B/Chat_complete_23-10-2013.txt
crash_function: g_realloc
executable:     /usr/bin/gedit
kernel:         3.12.7-300.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 g_realloc at gmem.c:169
 #4 pango_glyph_string_set_size at glyphstring.c:89
 #5 basic_engine_shape at basic-fc.c:400
 #6 _pango_engine_shape_shape at pango-engine.c:135
 #7 pango_shape_full at shape.c:116
 #8 shape_run at pango-layout.c:3293
 #9 process_item at pango-layout.c:3406
 #10 process_line at pango-layout.c:3704
 #11 pango_layout_check_lines at pango-layout.c:4027
 #12 pango_layout_get_extents_internal at pango-layout.c:2587

Comment 1 fedo.coro 2014-01-30 07:40:36 UTC
Created attachment 857357 [details]
File: backtrace

Comment 2 fedo.coro 2014-01-30 07:40:38 UTC
Created attachment 857358 [details]
File: cgroup

Comment 3 fedo.coro 2014-01-30 07:40:41 UTC
Created attachment 857359 [details]
File: core_backtrace

Comment 4 fedo.coro 2014-01-30 07:40:43 UTC
Created attachment 857360 [details]
File: dso_list

Comment 5 fedo.coro 2014-01-30 07:40:45 UTC
Created attachment 857361 [details]
File: environ

Comment 6 fedo.coro 2014-01-30 07:40:47 UTC
Created attachment 857362 [details]
File: exploitable

Comment 7 fedo.coro 2014-01-30 07:40:49 UTC
Created attachment 857363 [details]
File: limits

Comment 8 fedo.coro 2014-01-30 07:40:52 UTC
Created attachment 857364 [details]
File: maps

Comment 9 fedo.coro 2014-01-30 07:40:54 UTC
Created attachment 857365 [details]
File: open_fds

Comment 10 fedo.coro 2014-01-30 07:40:55 UTC
Created attachment 857366 [details]
File: proc_pid_status

Comment 11 fedo.coro 2014-01-30 07:40:58 UTC
Created attachment 857367 [details]
File: var_log_messages

Comment 12 fedo.coro 2014-02-05 07:29:58 UTC
Another user experienced a similar problem:

open txt file on gedit

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        gedit /home/ulisse/Dropbox/Varie/Gi_C_B/Chat.txt
crash_function: g_realloc
executable:     /usr/bin/gedit
kernel:         3.12.9-301.fc20.i686
package:        gedit-3.10.3-1.fc20
reason:         gedit killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 10:44:37 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:53:00 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.